Bug 1731037 - [RFE] Disable all refreshes except graph refresh
Summary: [RFE] Disable all refreshes except graph refresh
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.11.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.11.0
Assignee: Boriso
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 07:42 UTC by Boriso
Modified: 2019-12-13 15:00 UTC (History)
7 users (show)

Fixed In Version: 5.11.0.15
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 15:00:52 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Boriso 2019-07-18 07:42:53 UTC
We decided to only use graph refresh from now on.
The option to change this in settings is to be removed.
Graph refresh is to always be used for the RHV provider.

Comment 3 CFME Bot 2019-07-18 13:12:39 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/master:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/9e74521641012b6770de3900325a334fb8355feb
commit 9e74521641012b6770de3900325a334fb8355feb
Author:     Boris Odnopozov <bodnopoz@redhat.com>
AuthorDate: Thu Jul 18 05:20:50 2019 -0400
Commit:     Boris Odnopozov <bodnopoz@redhat.com>
CommitDate: Thu Jul 18 05:20:50 2019 -0400

    Disable all refreshes except graph refresh

    Only use graph refresh from now on.

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1731037

 app/models/manageiq/providers/redhat/infra_manager/api_integration.rb | 3 +-
 config/settings.yml | 1 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresh_after_publish_vm_spec.rb | 25 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_3_1_spec.rb | 797 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_target_template_disconnect_spec.rb | 23 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_target_vm_4_spec.rb | 444 -
 spec/models/manageiq/providers/redhat/infra_manager/refresh/refresher_target_vm_spec.rb | 478 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_publish_vm_to_template.yml | 12302 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/ovirt_sdk_target_template_disconnect.yml | 9338 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_3_1.yml | 10897 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_4_1.yml | 2696 -
 spec/vcr_cassettes/manageiq/providers/redhat/infra_manager/refresh/refresher_target_new_vm.yml | 1145 -
 tools/generate_refresh_template_spec.rb | 92 -
 tools/refresher_v4_spec_generator_template.txt | 646 -
 14 files changed, 1 insertion(+), 38886 deletions(-)

Comment 4 Angelina Nikiforova 2019-07-26 11:55:55 UTC
Verified in 5.11.0.16.20190724210259_2b4aa51.

:inventory_object_refresh: options is not presented in settings.yml and refresh works using graph refresh

# tail -f evm.log  | grep "Scanning Inventory Collections"
[----] D, [2019-07-26T07:44:47.862431 #11462:2ae27dc005b4] DEBUG -- : EMS: [rhv43], id: [34] Scanning Inventory Collections...Start
[----] D, [2019-07-26T07:44:47.872284 #11462:2ae27dc005b4] DEBUG -- : EMS: [rhv43], id: [34] Scanning Inventory Collections...Complete

However, there are also errors in the log, I'm not sure if they are related, so I created a separate BZ for that https://bugzilla.redhat.com/show_bug.cgi?id=1733513

Comment 5 CFME Bot 2019-07-26 22:16:43 UTC
New commit detected on ManageIQ/manageiq-providers-ovirt/ivanchuk:

https://github.com/ManageIQ/manageiq-providers-ovirt/commit/b609f889eca6e9f7b801be6859e0bb4aff114823
commit b609f889eca6e9f7b801be6859e0bb4aff114823
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Jul 26 09:29:05 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Jul 26 09:29:05 2019 -0400

    Merge pull request #390 from borod108/bugs/remove_legacy_refresh

    Fix potential bug for graph refresh

    (cherry picked from commit 79d00a0387e1ca6dd53f770b160b1a04a9545836)

    https://bugzilla.redhat.com/show_bug.cgi?id=1731037

 app/models/manageiq/providers/redhat/infra_manager.rb | 4 +
 1 file changed, 4 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.